{% extends 'base.html' %}
{% load static %}

{% block meta %}
<link rel="stylesheet" href="{% static 'style.css' %}">
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<title>Find a book</title>
{% endblock meta %}

{% block content %}
  <div class="searchbar">
    <h1>Find your book</h1>
    <input id="search">
    <button id="submit">Search</button>
  </div>  
  <div class="gallery-container">
    <ol id="list"></ol>
  </div>

  <script type="text/javascript">
    $("#submit").click(function(){
      var input = $("#search").val();

      $.ajax({
        url: "/books?q=" + input,
        success: function(data) {
          var list_item = data.items;
          console.log(list_item);
          $("#list").empty();
          for (i = 0; i < list_item.length; i++) {
            thumbnail = list_item[i].volumeInfo.imageLinks.smallThumbnail;
            title = list_item[i].volumeInfo.title;
            link = 
            $("#list").append("<li><img src=" + thumbnail + "><br>" + title + "</li>");
          }
        }
      });
    });
  </script>
{% endblock content %}
